import { __require as requireDatepart } from './datepart.mjs';

var hours;
var hasRequiredHours;
function requireHours() {
  if (hasRequiredHours) return hours;
  hasRequiredHours = 1;
  const DatePart = requireDatepart();
  class Hours extends DatePart {
    constructor(opts = {}) {
      super(opts);
    }
    up() {
      this.date.setHours(this.date.getHours() + 1);
    }
    down() {
      this.date.setHours(this.date.getHours() - 1);
    }
    setTo(val) {
      this.date.setHours(parseInt(val.substr(-2)));
    }
    toString() {
      let hours = this.date.getHours();
      if (/h/.test(this.token)) hours = hours % 12 || 12;
      return this.token.length > 1 ? String(hours).padStart(2, '0') : hours;
    }
  }
  hours = Hours;
  return hours;
}

export { requireHours as __require };
